UPGRADEPKG(8)

NAME
upgradepkg - aktualisiert Slackware Pakete.

ZUSAMMENFASSUNG
upgradepkg [ --dry-run ] [ --install-new ] [ --reinstall ] [ --verbose ] neuerpaketname [neuerpaketname2]

upgradepkg [ --dry-run ] [ --install-new ] [ --reinstall ] [ --verbose ] alterpaketname%neuerpaketname [alt2%neu2]

BESCHREIBUNG
upgradepkg aktualisiert ein Slackwarepaket von einer älteren Version auf eine neuere. Dies erfolgt durch die INSTALLATION des neuen Paketes auf dem System und durch ENTFERNEN aller Dateien aus dem alten Paket, welche nicht in dem neuen Paket sind. Wenn die alten und neuen Pakete den gleichen Namen haben, reicht ein einzelnes Argument. Wenn die Pakete unterschiedliche Namen haben, geben Sie den Namen des alten Pakets, gefolgt von einem Prozentzeichen (%), dann den Namen des neuen Pakets an. Fügen Sie keinen extra Leerzeichen zwischen Paare der alten/neuen Paketnamen. Wenn upgradepkg mehr als ein installiertes Paket findet, welches auf den alten Paketnamen zutrifft, wird es diese alle entfernen.

Zur Aktualisierung in einem anderen Verzeichnis als / (wie z.B. /mnt):

ROOT=/mnt upgradepkg paket.tgz (oder .tbz, .tlz, .txz)

OPTIONEN

--dry-run
    Ausgabe eines Berichts über Pakete, die installiert oder aktualisiert werden würden, aber aktuell nicht durchführbar sind.

--install-new
    Normalerweise aktualisiert upgradepkg nur Pakete, die bereits auf dem System installiert sind und verwirft alle Pakete, die nicht bereits in einer Version installiert sind. Wenn --install-new spezifiziert wurde, ändert sich das Verhalten, ein neues Paket wird installiert und zusätzlich bereits existierende aktualisiert.

--reinstall
    Upgradepkg verwirft normalerweise Pakete, wenn das gleiche Paket (passender Name, Version, Architektur und Build-Nummer) bereits auf dem System installiert ist. Nutzen Sie die Option --reinstall, wenn Sie alle Pakete aktualisieren wollen, auch wenn die gleiche Version bereits installiert ist.

--verbose
    Zeige all die blutigen Details der Aktualisierung.

FEHLER
Vor der Aktualisierung eines Pakets, sichern Sie die Konfigurationsdateien (wie z.B. in /etc), die Sie behalten möchten. Manchmal werden diese ersetzt, aber das hängt von der Paketstruktur ab. Wenn Sie eine neu zu installierende Version der Konfigurationsdateien erzwingen wollen, entfernen Sie die alte manuell durch das Ausführen von upgradepkg.

AUTOR
Patrick J. Volkerding <volkerdi@slackware.com>

SIEHE AUCH
makepkg(8), installpkg(8), removepkg(8), explodepkg(8), pkgtool(8)